> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Agent



## OpenAPI

````yaml /openapi.json patch /admin/api/assistant/agents/{agentId}
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /admin/api/assistant/agents/{agentId}:
    patch:
      tags:
        - Assistant Admin
      summary: Update Agent
      operationId: AssistantAdminController_updateAgent
      parameters:
        - name: agentId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAssistantAgentAdminDto'
      responses:
        '200':
          description: ''
components:
  schemas:
    UpdateAssistantAgentAdminDto:
      type: object
      properties:
        instructions:
          type: string
          minLength: 1
          maxLength: 100000
        modelId:
          anyOf:
            - type: string
              minLength: 1
              maxLength: 255
            - type: 'null'
        enabled:
          type: boolean
        attachmentsEnabled:
          type: boolean
        requiredRouteKey:
          anyOf:
            - type: string
              minLength: 1
              maxLength: 128
            - type: 'null'
        skills:
          maxItems: 100
          type: array
          items:
            type: object
            properties:
              skillId:
                type: string
              position:
                type: integer
                exclusiveMinimum: 0
                maximum: 1000
            required:
              - skillId
              - position
            additionalProperties: false
        suggestions:
          maxItems: 8
          type: array
          items:
            type: string
            minLength: 1
            maxLength: 200
        tools:
          maxItems: 100
          type: array
          items:
            type: object
            properties:
              toolName:
                type: string
                minLength: 1
                maxLength: 128
              enabled:
                type: boolean
            required:
              - toolName
              - enabled
            additionalProperties: false
        expectedVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
      required:
        - instructions
        - modelId
        - enabled
        - attachmentsEnabled
        - requiredRouteKey
        - skills
        - suggestions
        - tools
        - expectedVersion
      additionalProperties: false

````